# Produce Windows executables
# links with PDPCLIB created by makefile.msv

CC=gccwin
CFLAGS=-O2
LD=ldwin
LDFLAGS=
AS=aswin
AR=arwin
COPTS=-S $(CFLAGS) -fno-common -ansi -I. -I../../pdos/pdpclib -I../../pdos/src -D__WIN32__ -D__NOBIVA__ -DWIN32 -DUSE_MBASE -DBINKLEYSTYLE

all: clean tobruk.exe

tobruk.exe: tobruk.o seenby.o dtsplit.o getopts.o \
     faddr.o mailproc.o error.o prseaddr.o strinl.o \
     stritr.o estdio.o estdlib.o dtfido.o trav.o \
     exists.o reform.o patmat.o pkt.o repo.o repofile.o \
     findkblk.o slidwin.o dtsplitm.o route.o mbase.o \
     dostime.o
  rm -f temp.a
  arwin r temp.a seenby.o dtsplit.o getopts.o
  arwin r temp.a faddr.o mailproc.o error.o prseaddr.o strinl.o
  arwin r temp.a stritr.o estdio.o estdlib.o dtfido.o trav.o
  arwin r temp.a exists.o reform.o patmat.o pkt.o repo.o repofile.o
  arwin r temp.a findkblk.o slidwin.o dtsplitm.o route.o mbase.o
  arwin r temp.a dostime.o
  $(LD) $(LDFLAGS) -s -o tobruk.exe ../../pdos/pdpclib/w32start.o tobruk.o temp.a ../../pdos/pdpclib/msvcrt.a ../../pdos/src/kernel32.a

.c.o:
  $(CC) $(COPTS) -o $*.s $<
  $(AS) -o $@ $*.s
  rm -f $*.s

clean:
  rm -f *.o tobruk.exe
